/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.VigenciaTarifa;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderVigenciaTarifaModificacionMassivaTarifa implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        VigenciaTarifa vigenciaTarifa = (VigenciaTarifa) o;
        SimpleDateFormat f = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");

        Listcell lc = new Listcell(vigenciaTarifa.getVigenciatarifaId().toString());
        lc.setParent(lstm);

        if (vigenciaTarifa.getFeciniciovigencia() != null) {
            lc = new Listcell(f.format(vigenciaTarifa.getFeciniciovigencia()));
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        if (vigenciaTarifa.getFecfinvigencia() != null) {
            lc = new Listcell(f.format(vigenciaTarifa.getFecfinvigencia()));
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", vigenciaTarifa);
    }
}
